=== tools/shadergen/CMakeLists.txt ===
# Generated from shadergen.pro.

#####################################################################
## shadergen Tool:
#####################################################################

qt_get_tool_target_name(target_name shadergen)
qt_internal_add_tool(${target_name}
    TOOLS_TARGET Quick3D # special case
    SOURCES
        genshaders.cpp genshaders.h
        main.cpp
        parser.cpp parser.h
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRender
        Qt::Quick3DRuntimeRenderPrivate
)
