=== examples/quick3d/offlineshaders/CMakeLists.txt ===
# Generated from offlineshaders.pro.

cmake_minimum_required(VERSION 3.16)
project(offlineshaders LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3d/offlineshaders")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Quick)
find_package(Qt6 COMPONENTS Quick3D)

qt_add_executable(offlineshaders
    main.cpp
)
set_target_properties(offlineshaders PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(offlineshaders PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
)

qt_add_qml_module(offlineshaders
    URI Example
    VERSION 1.0
    QML_FILES
        MaterialRed.qml
        MaterialRedExtended.qml
        main.qml
    RESOURCES
        maps/metallic/basecolor.jpg
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS offlineshaders
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
