=== debian/changelog ===
qt6-quick3d (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:48:30 +0200

qt6-quick3d (6.2.2-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch back to arch:any for all the binaries, instead of limiting to only
    some architectures:
    - on some of the architectures previously mentioned with uninstallable B-Ds
      (e.g. mips*), qt6-quick3d is buildable now
    - other architectures already wait for qt6-declarative
    thus there is no need add extra artificial limitations that add special
    cases and raise the maintenance cost.
  * Backport upstream commit 7a4403da52960fd56dff7ea9c53d2c069e85fca8 to fix
    the build on mips* architectures; patch
    upstream_Rename-mips-parameter-to-wantsMips.patch.

 -- Patrick Franz <deltaone@debian.org>  Mon, 21 Feb 2022 18:27:43 +0100

qt6-quick3d (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:43:22 +0100

qt6-quick3d (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Disable building on mips and all other architectures with
    uninstallable B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 14 Feb 2022 23:16:25 +0100

qt6-quick3d (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999852)

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Nov 2021 21:05:24 +0100
