## qt6-quick3d 6.3.1

=== debian/changelog ===
qt6-quick3d (6.3.1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Aug 2022 00:29:11 +0200

qt6-quick3d (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:07 +0200

qt6-quick3d (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 21:00:02 +0200

qt6-quick3d (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 07 Jul 2022 12:38:46 +0200

qt6-quick3d (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Remove fix-assimp-compilation.patch as it is no longer needed.
  * Update list of installed files.
  * New binary packages libqt6quick3dglslparser6,
    libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects
    and qt6-qmltooling-quick3dprofiler-plugin.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 05 Jul 2022 20:27:00 +0200

qt6-quick3d (6.2.4-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the qt6-quick3d-dev-tools dependency to qt6-quick3d-dev: the latter has
    cmake config files with targets for the tools, so it makes sense to not
    have to install tools based on which cmake target is being used.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:01 +0200
