=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
                debhelper-compat (= 13),
                libassimp-dev (>= 5.1.1~),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6quicktimeline6-dev (>= 6.2.4~),
-               libqt6shadertools6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6quicktimeline6-dev (>= 6.3.1~),
+               libqt6shadertools6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
@@ -71,6 +71,17 @@
  .
  This package contains Qt 6 Quick 3D Effects library.
 
+Package: libqt6quick3dglslparser6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 Quick 3D GLS Parser library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt 6 Quick 3D GLS Parser library.
+
 Package: libqt6quick3dhelpers6
 Architecture: any
 Multi-Arch: same
@@ -92,6 +103,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt 6 Quick 3D IblBaker library.
+
+Package: libqt6quick3dparticleeffects6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 Quick 3D Particle Effects library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt 6 Quick 3D Particle Effects library.
 
 Package: libqt6quick3dparticles6
 Architecture: any
@@ -171,6 +193,17 @@
  .
  This package contains the Qt 6 Quick 3D Asset Utils QML module.
 
+Package: qml6-module-quick3d-particleeffects
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 Quick 3D Particle Effects QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt 6 Quick 3D Particle Effects QML module.
+
 Package: qml6-module-quick3d-particles3d
 Architecture: any
 Multi-Arch: same
@@ -192,6 +225,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt 6 Quick 3D Effects QML module.
+
+Package: qt6-qmltooling-quick3dprofiler-plugin
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 qmltooling Quick3D profiler plugin
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the qmltooling Quick3D profiler plugin.
 
 Package: qt6-quick3d-dev
 Section: libdevel
@@ -207,6 +251,7 @@
          libqt6quick3druntimerender6 (= ${binary:Version}),
          libqt6quick3dutils6 (= ${binary:Version}),
          qt6-base-dev,
+         qt6-quick3d-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Quick 3D - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
